using System;
using System.Collections.Generic;
using Demo.Data.LocalData.Entity; // Убедитесь, что это пространство имен присутствует
using Demo.Data.Repository;
using Demo.Domain.Models;

namespace Demo.Domain.UseCase
{
    public class UserUseCase
    {
        private readonly IUserRepository _userRepository;

        public UserUseCase(IUserRepository userRepository)
        {
            _userRepository = userRepository;
        }

        public IEnumerable<Domain.Models.User> GetAllUsers()
        {
            return _userRepository.GetAllUsers();
        }

        public void AddUser(Domain.Models.User user)
        {
            _userRepository.AddUser(user);
        }

        // Пример исправления
        public Domain.Models.User GetUserById(Guid id)
        {
            return _userRepository.GetUserById(id);
        }

        internal void DeleteUser(Guid userId)
        {
            throw new NotImplementedException();
        }

        internal void UpdateUser(Models.User user)
        {
            throw new NotImplementedException();
        }
    }
}
